dbXML API

## org.dbxml.client.xmldb.services
Class XUpdateQueryServiceImpl

    java.lang.Object
      |
      +--org.dbxml.client.xmldb.CommonConfigurable
            |
            +--org.dbxml.client.xmldb.services.XUpdateQueryServiceImpl

All Implemented Interfaces:
  Configurable, Service, XUpdateQueryService

public class XUpdateQueryServiceImpl
extends CommonConfigurable
implements XUpdateQueryService

Constructor Summary
`XUpdateQueryServiceImpl()`

Method Summary
`java.lang.String` `getName()` Returns the name associated with the Service instance.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`void` `setCollection(Collection col)` Sets the Collection attribute of the Service object
`long` `update(java.lang.String commands)` Runs a set of XUpdate operations against the collection.
`long` `updateResource(java.lang.String id, java.lang.String commands)` Runs a set of XUpdate operations against a resource stored in a collection.
`XMLResource` `updateResourceResult(java.lang.String id, java.lang.String commands)`
`XMLResource` `updateResult(java.lang.String commands)`

Methods inherited from class org.dbxml.client.xmldb.CommonConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### XUpdateQueryServiceImpl

    public XUpdateQueryServiceImpl()

Method Detail

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.
  Specified by:
    `getName` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object
  Specified by:
    `getVersion` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object
  Specified by:
    `setCollection` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### updateResult

    public XMLResource updateResult(java.lang.String commands)
                             throws XMLDBException

### update

    public long update(java.lang.String commands)
                throws XMLDBException

  Runs a set of XUpdate operations against the collection. All selected documents are to be updated and stored back to the repository.
  Specified by:
    `update` in interface `XUpdateQueryService`
  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of nodes updated
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### updateResourceResult

    public XMLResource updateResourceResult(java.lang.String id,
                                            java.lang.String commands)
                                     throws XMLDBException

### updateResource

    public long updateResource(java.lang.String id,
                               java.lang.String commands)
                        throws XMLDBException

  Runs a set of XUpdate operations against a resource stored in a collection. The resource will be updated in place in the collection.
  Specified by:
    `updateResource` in interface `XUpdateQueryService`
  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of nodes updateds
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved